SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Moderator: AdminGroup

rtrski
Posts: 71
Joined: Mon Sep 11, 2017 0:20
Has thanked: 30 times
Been thanked: 20 times

SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Postby rtrski » Sun Feb 18, 2018 17:21

Gents:

The last formally avaiable firmware for the MCGPro on Gunfighter (Mk II) *appears* to be 1.92.1. Yet there are still reports it causes many random buttons to show as pressed, while a 1.92.9 (?) is floating around in links here in the forums.

Could we PLEASE get a sticky at the top of the Technical Support Section that is kept updated by VKB formally, with the following sort of info? (If it already exist and I haven't found it, please advise).

Grip.....Base/Blackbox..........Current Firmware Version..........Current VKBDevCFG version
MCG..................Gunfighter...........1.xx.xx (<--link to /Firmware)............. 0.xx.xx (<----Link to Programms)
MCG Pro.............Gunfighter...........1.xx.xxx ........................................0.xx.xx
MCG..................Gunfighter II .......etcetera.........................................etcetera
MCG Pro.............Gladiator Pro.......etcetera.........................................

Also a formal, from VKB, documentation link for the nJoy (Russian and English links). Yes I know about the Yandisk (sp?) and Dropbox links floating around. rrhode has posted the VKB link in this very forum, but it's not 'sticky', and it would be a natural addendum to the same post as the table above.

I don't care about ordering by grip or base, feel free to go the other way and have firmware be the first column so you can list *all* grip/base/blackbox combos that match it vs. tabular format, whatever. Just....please?

I am still on the 1.91E firmware by choice after the 1.92.1 caused problems. I've considered update to 1.92.9 but there are also posts floating around that if it's not officially from your own FTP servers it's not official just yet and you can only support what's on your servers. Been waiting for update news but not seeing it. (Am I having problems with 1.91E? Don't know...I get some random actuations of commands not assigned to the MCGPro/GunfighterII that I suspect are more the fault of the still in use X56 Throttle, but I did read that the E firmware had 'rather a major bug' in the forums yet it hasn't been removed from the official FTP or anything, and neither has the 1.92.1 which I could *see* was causing all sorts of issues in higher register rows.)

Guess I can just beta test by finding the 1.92.9 link and add more anecdotal info to the forums, but that's a pretty messy way to have to find help for your new customers. Once CNY is over and your next batch of shipments is in the air, you might be rather happy to have ducks in a row instead of fighting fires individually?? (Horrible mixed metaphors, probably not the smartest thing for me to type on a forum that I know is a second language for the official team. 8-D )

Above post intended in the spirit of helping you to help us (customers, collectively), not trying to be a trouble-maker.

User avatar
Victorus
Posts: 1060
Joined: Wed Sep 21, 2011 13:25
Has thanked: 168 times
Been thanked: 140 times

Re: SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Postby Victorus » Sun Feb 18, 2018 21:13

You can find up-to-date firmware files (betas) https://drive.google.com/drive/folders/0B1WRiD1czmcHbklBX2hMSEN0bzA?usp=sharing
Configuration tool: https://drive.google.com/drive/folders/0B1WRiD1czmcHMVBEcVQ0dndyNG8?usp=sharing

New firmwares are created frequently - with new features - on VKB users wishes or demands or as errors correction. They often are late to be official((.
If you have joystick and it works properly - you do not need to update firmware. If you find errors - claim suppport.
The very last firmwares are oriented to enthusiasts and fans. They contain features that are rather complex. Boolean functions for joystick buttons for example. These functions expand joystick basic posibilities but user must beat his brain by oneself. With the help of User Guide and support - in spesial cases.
I try to describe new features in this document ASAP.

PS
I use 1.937 firmware and VKBDevCfg 0.85.06 and still have no issues))
PPS
Firmware update utility for modern firmwarees Zbootloader v.1.11 https://drive.google.com/open?id=1RDZgS5xyNP6VUJjlVz0HlOxeEKQgZkYz
MUST have&use. To prevent errors.

rtrski
Posts: 71
Joined: Mon Sep 11, 2017 0:20
Has thanked: 30 times
Been thanked: 20 times

Re: SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Postby rtrski » Sat Feb 24, 2018 20:11

Thank you, Victorus, but your last (Bootloader 1.11) link in the message above is asking for a Google Drive password. The two top links worked fine.

Since you said it was very important to avoid errors, I'm hesitant to attempt firmware update without that copy of Bootloader.

User avatar
Victorus
Posts: 1060
Joined: Wed Sep 21, 2011 13:25
Has thanked: 168 times
Been thanked: 140 times

Re: SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Postby Victorus » Sat Feb 24, 2018 21:29


rtrski
Posts: 71
Joined: Mon Sep 11, 2017 0:20
Has thanked: 30 times
Been thanked: 20 times

Re: SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Postby rtrski » Sun Feb 25, 2018 6:35

Somehow I got the first link to work.

The second link claims to be v1.0.0, same date (Aug 2016) as what's up at /Programms/

This is starting to be examples of why I was suggesting (nicely, I hope!) a sticky. :-)

Thanks again.

User avatar
Victorus
Posts: 1060
Joined: Wed Sep 21, 2011 13:25
Has thanked: 168 times
Been thanked: 140 times

Re: SUGGESTED STICKY REQUEST: FW and VKBDevCfg Versions

Postby Victorus » Sun Feb 25, 2018 10:41

zBOOT111.jpg

ZBootloader from my link.


Return to “Technical Support”

Who is online

Users browsing this forum: No registered users and 2 guests